goalFindWater.mSteps = 
{
	-- Grabbin' the can:
	{ action = "click", object = objectHoCan },
	{ action = "click", object = objectHoRock01 },
	{ action = "click", object = objectHoRock02 },
	{ action = "click", object = objectHoRock03 },
	{ action = "click", object = objectIoCaveHitarea, selection = objectHoRock01 },
	{ action = "click", object = objectIoCaveHitarea, selection = objectHoRock02 },
	{ action = "click", object = objectIoCaveHitarea, selection = objectHoRock03 },
	{ action = "click", object = objectHoCan },
	
	-- Fill it with water:
	{ action = "click", object = objectIoWater, selection = objectHoCan },
}
-- ----------------------------------------------------------------------------
function goalFindWater:shouldStart()

	return objectIoRadiatorOpen:isActive()

end
-- ----------------------------------------------------------------------------
function goalFindWater:onStarted()
	
	objectHoCan:ss(kActive)

end

-- ----------------------------------------------------------------------------
function goalFindWater:onUsedAll(object, props)
	
	if (object == objectIoWater) then
		objectHoTinCanFilled:ss(kFound)
		self:achieved()
		
	end
	
end
-- ----------------------------------------------------------------------------
function goalFindWater:onClickHO(layout, object, props, x, y)
	
	if ((object == objectHoCan) and (objectIoCaveHitarea:isDone())) then
		objectPoiWatersource:ss(kActive)
		objectIoWater:ss(kActive)
		think("MESSAGE_FILL_CAN")
		
	end
	
end